QGIS Application - Bug report #17964
Pan to feature / Zoom to feature behave exactly the same
2018-01-26 01:38 AM - Kory Roberts

Status: Feedback

Priority: Normal

Assignee:

Category: Attribute table

Affected QGIS version:master Regression?: No
Operating System: Linux Mint 18.3 Cinnamon Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 25860
Description

Open attribute table. Right click a row. Select "Pan to feature”. Move the map, maybe zoom out some. Right click a row. Select "Zoom
to feature". Both behave EXACTLY the same, so far as | can tell. Maybe | just don't understand how they are supposed to function, but |
would presume pan is supposed to just pan the map and zoom is supposed to ZOOM IN the map (which it doesn't).

History

#1 - 2018-01-26 06:34 AM - Nyall Dawson
- Status changed from Open to Feedback

Are you using a point layer?

#2 - 2018-01-26 06:39 AM - Kory Roberts

Yes, point layer. So maybe there is only difference for line/polygon (when 2 dimensions are available to decide zoom level?)...then why have both choices

for point layers?

#3 - 2018-02-22 12:00 PM - Giovanni Manghi

- Status changed from Feedback to Open

#4 - 2019-03-09 04:34 PM - Giovanni Manghi

- Status changed from Open to Feedback

Please check if this issue is still valid on QGIS 3.4.5 or 3.6.
